Summary:	C++ wrappers for libgnomeprint
Summary(pl.UTF-8):	Interfejsy C++ dla libgnomeprint
Name:		libgnomeprintmm
Version:	2.5.1
Release:	5
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgnomeprintmm/2.5/%{name}-%{version}.tar.bz2
# Source0-md5:	cac1729ff8708bec30be4291b73530bc
URL:		http://www.gnome.org/
BuildRequires:	libgnomeprint-devel >= 2.6.1
BuildRequires:	pangomm-devel
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ wrappers for libgnomeprint.

%description -l pl.UTF-8
Interfejsy C++ dla libgnomeprint.

%package devel
Summary:	Devel files for libgnomeprintmm
Summary(pl.UTF-8):	Pliki nagłówkowe dla libgnomeprintmm
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libgnomeprint-devel >= 2.6.1
Requires:	pangomm-devel

%description devel
Devel files for libgnomeprintmm.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla libgnomeprintmm.

%package static
Summary:	libgnomeprintmm static library
Summary(pl.UTF-8):	Biblioteka statyczna libgnomeprintmm
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libgnomeprintmm static library.

%description static -l pl.UTF-8
Biblioteka statyczna libgnomeprintmm.

%prep
%setup -q

%build
%configure \
	--enable-static=yes

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgnomeprintmm-2.5.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnomeprintmm-2.5.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomeprintmm-2.5.so
%{_includedir}/%{name}-2.6
%{_libdir}/%{name}-2.6
%{_pkgconfigdir}/%{name}-2.6.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomeprintmm-2.5.a
%changelog
* Sat Jul 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgnomeprintmm.git;a=log;h=master

* Sat Jul 12 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 4932a5d
- Release 5 (by relup.sh)

* Sun Mar 27 2011 Artur Frysiak <artur@frysiak.net> cf58205
- drop libtool file
- rel. 4

* Mon Nov 10 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 98f2b7a
- release 3

* Mon Nov 03 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 654bfd3
- s/gtkmm-pango-devel/pangomm-devel/
- release 2

* Sat Jan 26 2008 Jakub Bogusz <qboosh@pld-linux.org> 5a9695f
- BR: pkgconfig
- devel R: libgnomeprint-devel
- added X11 to Groups
- License is LGPL (v2+)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> cddc7df
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d5a1182
- converted to UTF-8

* Tue Jun 08 2004 grzegol <grzegol@pld-linux.org> c6a7f9c
- updated to 2.5.1

* Fri Apr 09 2004 grzegol <grzegol@pld-linux.org> 6ba3d61
- rel. 8 to rebuild with gtkmm-2.3.8

* Wed Mar 31 2004 grzegol <grzegol@pld-linux.org> 9016224
- rel. 7 to rebuild with glibmm-2.3.7/gtkmm-2.3.6

* Mon Mar 15 2004 grzegol <grzegol@pld-linux.org> 4aef48a
- rel. 6 to rebuild with glibmm-2.3.7/gtkmm-2.3.6

* Thu Mar 04 2004 grzegol <grzegol@pld-linux.org> b4366da
- rel. 5 to rebuild with gtkmm-2.3.5

* Sat Feb 14 2004 grzegol <grzegol@pld-linux.org> bcad3fa
- rel. 4 to rebuild with gtkmm-2.3.4

* Sat Feb 07 2004 grzegol <grzegol@pld-linux.org> 0a9b826
- rel. 3 to rebuild with glibmm-2.3.4/gtkmm-2.3.3

* Sat Jan 24 2004 grzegol <grzegol@pld-linux.org> 126812b
- rel. 2 to rebuild with glibmm-2.3.3/gtkmm-2.3.2

* Mon Dec 29 2003 grzegol <grzegol@pld-linux.org> f92acb3
- new

